using Godot;

namespace Cirno.Scripts.Resources.TestGeneric;

[GlobalClass]
public partial class GenericTestResourceBase : Resource
{
    [Export]
    public int Value { get; set; }

    public void Test()
    {
        var asfd = this.MemberwiseClone() as GenericTestResourceBase;
    }
}